function onBegin()
    makeUnskippable()
		getLevel().SaveQuitDisabled = true
		disableMovement()
		waitUntilOnGround ()
    setFlag("Cutscene_music_fade", true)
    say("Elekitu_Dumber_Cutscene_Troll_Two")
    setFlag("Cutscene_music_fade", false)
end

function onEnd()
    enableMovement()
		getLevel().SaveQuitDisabled = false
end